package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.BaseCrossPlanPO;
import net.wanji.databus.dto.RunningPlanDTO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 计划基础信息;(t_base_cross_plan)表数据库访问层
 *
 * @author Kent HAN
 * @date 2023/1/28 13:16
 */
@Repository
public interface BaseCrossPlanMapper {

    void insertOne(BaseCrossPlanPO BaseCrossPlanPO);

    void deleteByCrossId(@Param("crossId") String crossId);

    BaseCrossPlanPO selectByCrossIdAndName(@Param("crossId") String crossId,
                                       @Param("planName") String planName);

    List<RunningPlanDTO.DailyPlanListElement> selectDailyPlanList(String crossId);

    BaseCrossPlanPO selectById(@Param("planId") Integer planId);

    List<BaseCrossPlanPO> selectByCrossId(String crossId);

    BaseCrossPlanPO selectByCrossIdAndPlanNo(@Param("crossId") String crossId, @Param("planNo") String planNo);
}
