package net.wanji.databus.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.databus.bo.CrossDirDataHistAvgBO;
import net.wanji.databus.po.CrossDirDataHistPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @author duanruiming
 * @date 2023/03/10 21:09
 */
@Mapper
public interface CrossDirDataHistMapper extends BaseMapper<CrossDirDataHistPO> {
    void insertBatch(@Param("list")List<CrossDirDataHistPO> list);
    void deleteBatch(@Param("list") Collection<String> crossIds);

    List<CrossDirDataHistPO> selectByCrossIdAndTimestamp(String crossId, long preSeconds);

    List<CrossDirDataHistPO> selectByCrossIdDirAndTimestamp(String crossId, Integer dir, long preSeconds);

    List<CrossDirDataHistAvgBO> selectByCrossIdInOutTimestamp(String crossId, Integer inOutType, long preSeconds);

    List<CrossDirDataHistPO> selectNoPark(String crossId, Integer dir, long currentSeconds, long preSeconds);

    List<CrossDirDataHistPO> selectPhaseQueue(String crossId, Integer dir, long currentSeconds, long preSeconds);

    List<CrossDirDataHistPO> selectNoParkEnd(String crossId, Integer dir, long currentSeconds, long preSeconds);

    List<CrossDirDataHistPO> selectPhaseQueueEnd(String crossId, Integer dir, long currentSeconds, long preSeconds);
}
